POST
/
api
/
v1
/
accounts
/
{account_id}
/
scheduling
/
expenses
/
pay_all
Pay all filtered unpaid expenses
curl --request POST \
  --url https://one-link.kz/api/v1/accounts/{account_id}/scheduling/expenses/pay_all \
  --header 'Content-Type: application/json' \
  --header 'api_access_token: <api-key>' \
  --data '
{
  "resource_ids": "<string>",
  "from": "2023-11-07T05:31:56Z",
  "to": "2023-11-07T05:31:56Z"
}
'
{
  "payload": [
    {
      "id": 123,
      "appointment_id": 123,
      "resource_id": 123,
      "amount": 123,
      "status": "<string>",
      "paid_at": "2023-11-07T05:31:56Z",
      "paid_by_id": 123
    }
  ],
  "meta": {
    "count": 123
  }
}

Authorizations

api_access_token
string
header
required

This token can be obtained by visiting the profile page or via rails console. Provides access to endpoints based on the user permissions levels. This token can be saved by an external system when user is created via API, to perform activities on behalf of the user.

Path Parameters

account_id
integer
required

The numeric ID of the account

Body

application/json
resource_ids
string
from
string<date-time>
to
string<date-time>

Response

Paid expense list

payload
object[]
meta
object